<template>
	<!--弹窗-->
	<div class="yidialog-con" id="Dia">
		<div class="yid-con flex-row yid-con-col">
			<div class="yid-cls-con">
				<!-- 弹窗内容	-->
				<div class="unlock-card">
					<div class="card-top-text unlock-card-top" style="display: none">
						<img class="card-top-img" src="http://static2.61info.com/service/imgs/groupPurchase/unlock_card/card_top.png" alt="">
						<div class="top-text more-card-text" style="display: none">
							<p class="text">使用解锁卡</p>
							<p class="text">马上加速课程更新~</p>
						</div>

						<div class="top-text single-card-text" style="display: none">
							<p class="text">确定使用吗？</p>
						</div>
					</div>
					<div class="card-top-text used-card-top" style="display: none">
						<img class="card-top-img" src="http://static2.61info.com/service/imgs/groupPurchase/unlock_card/used_card_top.png" alt="">
						<div class="top-text used-card-text">
							<p class="text section-full" style="display: none">课程已全部解锁</p>
							<p class="text section-one" style="display: none">课程已加速解锁1集</p>
						</div>
					</div>
					<div class="card-con">
						<ul class="card-list">
							<!-- html	-->
						</ul>
						<div class="btns unlock-btns" style="display: none">
							<div class="btn cancle">取消</div>
							<div class="btn use">使用</div>
						</div>
						<div class="btns used-btns" style="display: none">
							<div class="btn see-course">去看课</div>
						</div>
					</div>
					<div class="close"></div>
				</div>
				<div class="tip-alert">
					<div class="unlock-text"></div>
				</div>
				<div class="recommend-alert">
					<div class="alert-top-text">
						<img class="top-img" src="http://static2.61info.com/service/imgs/groupPurchase/unlock_card/card_top.png" alt="">
						<div class="top-text">
							<p class="text section-full">这节课程还没更新~</p>
						</div>
					</div>
					<div class="recommend-con">
						<div class="desc">
							<p class="text">推荐你看看以下课~</p>
							<p class="text">爱看这门课的小朋友也喜欢</p>
						</div>
						<ul class="course-list">
							<!-- html	-->
						</ul>
						<div class="see-more">查看更多好课</div>
					</div>
					<div class="close"></div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	export default {
		data: {
			pageName: $('body').data('page-name'),
			courseId: utils.getQueryString('courseId')
		},
		// pvuvkey
		pvuvKeyMap: {
			recommend_click: 1352,
			recommend_exposure: 1351,
			reco_alert_exposure: 1349,
			reco_alert_click: 1350,
			lock_exposure: 1347,
			lock_click: 1348,
			unlock_exposure: 1345,
			unlock_click: 1346
		},
		// 显示的弹窗class
		alertTypeMap: {
			tip: 'tip-alert',
			recommend: 'recommend-alert',
			unLockCard: 'unlock-card'
		},
		// 解锁卡的goodsId
		cardGoodsIdMap: {
			FULL_CARD: 1, // 全集卡
			SECTION_ONE: 2 // 1集卡
		},
		// 初始化
		init: function () {
			var _this = this;

			utils.checkHas('.sectionListHtml li', function () {
				_this.data.pageName == 'sectionList' && _this.initSectionList();
			})
		},
		// 课程目录页
		initSectionList: function () {
			var _this = this;

			initLockEven(); // 未解锁点击
			initPvuvAdd(); // 曝光点击统计

			function initLockEven() {
				var $Dia = _this.popupAlert.get$Dia();
				var $unlockCard = _this.popupAlert.get$Dia(_this.alertTypeMap.unLockCard);
				var hadRequest = false; // 是否已请求过
				var hasUnlockCard = false; // 是否有解锁卡
				var hadShowRecommendAlert = false; // 是否显示过推荐课程弹窗
				var resData = {}; // 请求的数据

				// 点击未解锁章节
				$('.clock').click(function () {
					_this.isForbidScroll(true);
					// 已请求过数据,则不再重复请求
					if (hadRequest) {
						handleAlert(resData);
						return;
					}
					// request
					_this.request.clickLockedSection({courseId: _this.data.courseId}, function (res) {
						if (res.resultCode.code == 0) {
							resData = res.value;
							hasUnlockCard = resData.unlockCards && resData.unlockCards.length > 0;
							hadRequest = true;
							handleAlert(resData);
						}
					})
				})
				$Dia.on('click', '.yid-cls-con', function (e) {
					e.stopPropagation();
				})
				$Dia.on('click', function () {
					_this.isForbidScroll(false);
					_this.popupAlert.hide();
				})

				function handleAlert(resData) {
					if (!hasUnlockCard) { // 没有解锁卡
						// 1、首次点击,显示提示弹窗
						if (!localStorage.getItem('unlock_click')) {
							// do some
							tipEven();
							localStorage.setItem('unlock_click', '1');
							return
						}
						// 2、非首次点击，显示推荐弹窗
						// do some
						recommendEven(resData);
						return
					}
					// 3、有解锁卡，显示解锁卡弹窗
					unlockCardEven(resData);
				}
				// 提示弹窗
				function tipEven() {
					var tipTexts = $('.newCourseNotice').text();
					tipTexts = tipTexts.split(/(?=各)/);
					var $tipAlert = _this.popupAlert.get$Dia(_this.alertTypeMap.tip);
					var textHtml = '<p class="text">' + tipTexts[0] + '</p>';
					if (tipTexts[1]) {
						textHtml += '<p class="text">' + tipTexts[1] + '哦</p>';
					}
					$tipAlert.find('.unlock-text').html(textHtml);
					_this.popupAlert.show(_this.alertTypeMap.tip);

				}
				// 推荐课程弹窗
				function recommendEven(resData) {
					_this.request.addPvuv(_this.pvuvKeyMap.reco_alert_exposure);

					// 若已显示过，则直接显示，不再重复渲染
					if (hadShowRecommendAlert) {
						_this.popupAlert.show(_this.alertTypeMap.recommend)
						return
					}

					var $recommendAlert = _this.popupAlert.get$Dia(_this.alertTypeMap.recommend);

					var html = '';
					resData.recommendCourses.forEach(function (course, index) {
						html += '<li class="course-item" data-courseid="' + course.courseId + '">' +
							(course.cornerMark ? ('<div class="subscript">' + course.cornerMark + '</div>') : '') +
							'<img class="course-img" src="' + config.courseImgBaseUrl +  'c_' + course.courseId +  '_intro_share.png" alt="">' +
							'</li>';
					})
					$recommendAlert.find('.course-list').html(html);

					_this.popupAlert.show(_this.alertTypeMap.recommend);
					hadShowRecommendAlert = true;

					$recommendAlert.on('click', '.course-item', function () {
						var courseId = $(this).data('courseid');
						_this.isForbidScroll(false);
						_this.popupAlert.hide();
						_this.request.addPvuv(_this.pvuvKeyMap.reco_alert_click, function () {
							location.href = '/wx/groupBuy/courseDetails.html?posterOpenId=natureSubPoster&courseId=' + courseId + '&state=' + resData.channel;
						});
					})
					$recommendAlert.on('click', '.see-more', function () {
						_this.isForbidScroll(false);
						_this.popupAlert.hide();
						location.href = '/wx/groupBuy/moreCourse.html'
					})
					$Dia.on('click', function () {
						_this.isForbidScroll(false);
						if (_this.popupAlert.getCurType() == _this.alertTypeMap.recommend) {
							_this.popupAlert.hide();
						}
					})
					$recommendAlert.on('click', '.close', function () {
						_this.isForbidScroll(false);
						_this.popupAlert.hide();
					})
				}
				// 解锁弹窗
				var unlockCardEven = (function () {
					var selectedCard = {}; // 选中的解锁卡信息
					var hadUnlock = false; // 设置状态,若已兑换解锁卡,点击关闭则刷新页面
					// 使用解锁卡
					$unlockCard.on('click', '.use', function (e) {
						e.stopPropagation();
						_this.request.useGoodsById({courseId: _this.data.courseId, id: selectedCard.id}, function (res) {
							if (res.resultCode.code != 0) {
								weui.alert(res.resultCode.message)
								return
							}
							hadUnlock = true;
							var first_section = res.value.first_section; // 解锁的最小集数

							// 显示已使用解锁卡弹窗
							$unlockCard.find('.card-list').html(
								'<li class="card-item used-section-card">' +
								'<div class="card-name">' +
								'<p class="text">' + selectedCard.cardName + '</p>' +
								'<p class="text">解锁卡</p>' +
								'</div>' +
								'</li>'
							);
							$unlockCard.find('.unlock-btns').hide();
							$unlockCard.find('.unlock-card-top').hide();
							$unlockCard.find('.used-card-top').show();
							$unlockCard.find('.used-card-top').find(selectedCard.goodsId == _this.cardGoodsIdMap.FULL_CARD ? '.section-full' : '.section-one').show();
							$unlockCard.find('.unlock-btns').hide();
							$unlockCard.find('.used-btns').show();
							$unlockCard.on('click', '.see-course', function (e) {
								e.stopPropagation();
								_this.isForbidScroll(false);
								_this.popupAlert.hide();
								location.href = '/wx/groupBuy/sectionContent.html?courseId=' + _this.data.courseId + '&sectionId=' + first_section +  '&prePageName=sectionList&preprePage=courseList'
							})
						})
					})
					// 关闭弹窗
					$unlockCard.on('click', '.close, .cancle', function () {
						if (hadUnlock) {
							location.reload();
							return
						}
						_this.isForbidScroll(false);
						_this.popupAlert.hide();
					})

					function getCardName(goodsId) {
						switch (goodsId) {
							case _this.cardGoodsIdMap.FULL_CARD:
								return '全集'
							case _this.cardGoodsIdMap.SECTION_ONE:
								return '一集'
						}
					}

					// 处理解锁卡弹窗
					return function (resData) {
						var cardMap = {};
						var cardList = [];
						// 对解锁卡进行分类
						resData.unlockCards.forEach(function (card, index) {
							if (cardMap[card.goodsId]) {
								cardMap[card.goodsId].count++;
								return
							}
							cardMap[card.goodsId] = {
								count: 1,
								id: card.id,
								cardName: getCardName(card.goodsId),
								goodsId: card.goodsId
							}
						})
						// 生成列表
						for (var goodsId in cardMap) {
							cardList.push(cardMap[goodsId])
						}

						var hasMoreCards = cardList.length > 1; // 是否不止一张卡
						hasMoreCards ? $unlockCard.find('.more-card-text').css('display', 'flex') : $unlockCard.find('.single-card-text').css('display', 'flex');
						$unlockCard.find('.card-list').addClass('no-used-list');
						$unlockCard.find('.unlock-card-top').show();
						$unlockCard.find('.unlock-btns').hide();

						var html = '';
						cardList.forEach(function (card, index) {
							html +=
								'<li data-goods-id="' + card.goodsId + '" data-card-id="' + card.id + '" class="card-item ' + (card.goodsId == _this.cardGoodsIdMap.FULL_CARD ? 'full-section-card section-full' : 'one-section-card section-one') + '">' +
								'<div class="card-name">' +
								'<p class="text">' + card.cardName + '</p>' +
								'<p class="text">解锁卡</p>' +
								'</div>' +
								'<div class="use-btn">使用</div>' +
								'<div class="num">x' + card.count + '</div>' +
								'<div class="hand"></div>'
								'</li>';
						})
						$unlockCard.find('.card-list').html(html);
						_this.popupAlert.show(_this.alertTypeMap.unLockCard);

						$unlockCard.on('click', '.card-item', function () {
							var cardId = $(this).data('card-id');
							selectedCard = cardList.filter(function (card) {
								return card.id == cardId
							})[0]

							$unlockCard.find('.num').text('x1');
							$unlockCard.find('.hand').hide();
							$unlockCard.find('.card-item').hide();
							$unlockCard.find('.card-item[data-goods-id=' + selectedCard.goodsId + ']').show();
							$(this).find('.use-btn').hide();
							$unlockCard.find('.used-btns').hide();
							$(this).find('.card-list').removeClass('no-used-list');
							$unlockCard.find('.unlock-btns').show();
						})
					}
				})();
			}
			// 曝光统计
			function initPvuvAdd() {
				var pvuvKeyMap = _this.pvuvKeyMap;

				// 曝光统计
				var $lockList = $('.sectionListHtml').find('.lock-list').get(0);
				var $unlockList = $('.sectionListHtml').find('.unlock-list').get(0);
				utils.checkHas('.course-recommend-item', function () {
					var $recommendList = $('.course-recommend-list').get(0);
					_this.scrollExposure($recommendList, function () {
						_this.request.addPvuv(pvuvKeyMap.recommend_exposure)
					}, $('.course-recommend-list').find('.course-recommend-item').eq(0));
				})

				_this.scrollExposure($lockList, function () {
					if ($('.sectionListHtml').find('.lock-list').height() > 0) {
						_this.request.addPvuv(pvuvKeyMap.lock_exposure)
					}
				}, $('.sectionListHtml li').eq(0));
				$('.show-more').on('click', function () {
					if (utils.isInView($lockList) && $('.sectionListHtml').find('.lock-list').height() > 0) {
						if ($('.sectionListHtml li').eq(0).hasClass('clock') || $('.sectionListHtml li').eq(1).hasClass('clock') || $('.sectionListHtml li').eq(2).hasClass('clock') || $('.sectionListHtml li').eq(3).hasClass('clock')) {
							return
						}
						_this.request.addPvuv(pvuvKeyMap.lock_exposure)
					}
				})

				_this.scrollExposure($unlockList, function () {
					_this.request.addPvuv(pvuvKeyMap.unlock_exposure);
				}, $('.sectionListHtml li').eq(0));

				// 点击统计
				$('.sectionListHtml').on('click', '.unclock', function () {
					_this.request.addPvuv(pvuvKeyMap.unlock_click)
				})
				$('.sectionListHtml').on('click', '.clock', function () {
					_this.request.addPvuv(pvuvKeyMap.lock_click)
				})
				$('.course-recommend-list').on('click', '.course-recommend-item', function () {
					_this.request.addPvuv(pvuvKeyMap.recommend_click)
				})
			}
		},
		/**
		 * 曝光统计
		 */
		scrollExposure: function ($elem, callback, $childElem) {
			if (!$elem) return
			var isInviewAndExposure = false;
			if (utils.isInView($elem, $childElem)) {
				// 统计曝光
				callback && callback();
				isInviewAndExposure = true;
			}
			document.addEventListener('scroll', utils.throttle(function () {
				var isEleInView = utils.isInView($elem, $childElem);
				if (isEleInView && !isInviewAndExposure) {
					// 统计曝光
					callback && callback();
					isInviewAndExposure = true
				}
				if (!isEleInView) {
					isInviewAndExposure = false;
				}
			}, 300));
		},
		/**
		 * 弹窗控制器
		 */
		popupAlert: (function () {
			var $Dia = $(Dia);
			$Dia.find('.yid-cls-con').children().hide(); // 刚开始隐藏所有弹窗内容的显示
			var hadInsertBody = false; // 弹窗是否插入body中
			var curType = ''; // 当前弹窗

			function checkHide () {
				// 显示弹窗之前，检查其他弹窗是否关闭
				if (curType) {
					$Dia.hide();
				}
			}

			return {
				getCurType: function () {
					return curType
				},
				/**
				 * 获取弹窗对象
				 * @param className
				 * @returns {*}
				 */
				get$Dia: function (className) {
					return className ? $Dia.find('.' + className) : $Dia;
				},
				/**
				 * 隐藏弹窗
				 * @param callback
				 * @returns {*|jQuery.fn.init|jQuery|HTMLElement}
				 */
				hide: function (callback) {
					$Dia.find('.' + curType).hide();
					$Dia.hide();
					callback && callback();
					return $Dia;
				},
				/**
				 * 显示弹窗
				 * @param className 弹窗的class名称
				 * @param callback
				 * @returns {*|jQuery.fn.init|jQuery|HTMLElement}
				 */
				show: function (className, callback) {
					if (!className) return
					checkHide();
					curType = className;
					$Dia.find('.' + className).show();
					hadInsertBody ? $Dia.show() : ($('body').append($Dia) && (hadInsertBody = true));
					callback && callback();
					return $Dia;
				}
			}
		})(),
		// 禁止滑动
		isForbidScroll: (function () {
			var isForbidScroll = utils.forbidScroll();
			return function (isForbid) {
				isForbidScroll(isForbid)
			}
		})(),
		// 请求
		request: (function () {
			var _request = function (url, data, callback, async) {
				$.ajax({
					url: url,
					data: data,
					async: async,
					success: function (res) {
						callback && callback(res);
					},
					fail: function () {
						ui61.toast('网络异常');
					}
				})
			};

			var actId = '10033';

			return {
				// 使用解锁卡
				useGoodsById: function (data, callback) {
					_request('/dengta/goods/useGoodsById.json', data, callback, true)
				},
				clickLockedSection: function (data, callback) {
					_request('/dengta/course/section-list/click-locked-sections.json', data, callback, true)
				},
				/** pvuv统计 */
				addPvuv: function (pvuvKeyId, callback) {
					_request('/dengta/common/act/' + actId + '/addPvuv.json', {pvuvKeyId: pvuvKeyId, expParam: {osType: 1}}, callback, true)
				}
			}
		})()
	}
</script>

<style scoped lang="less">
	@BASE_IMG_URL: 'http://static2.61info.com/service/imgs/groupPurchase/unlock_card';

	.close () {
		position: absolute;
		bottom: -104px;
		left: 50%;
		transform: translateX(-50%);
		width: 40px;
		height: 40px;
		background: url('@{BASE_IMG_URL}/close.png') no-repeat center / 100%;
	}
	.unlock-card {
		position: relative;
		width: 620px;
		background-color: #ffffff;
		border-radius: 48px;
		.card-top-text {
			position: relative;
			height: 137px;
			.card-top-img {
				position: absolute;
				top: -36px;
				left: 50%;
				transform: translateX(-50%);
				width: 640px;
				height: 174px;
			}
			.top-text {
				position: relative;
				z-index: 1;
				height: 100%;
				display: flex;
				justify-content: center;
				align-items: center;
				flex-direction: column;
				.text {
					font-size: 38px;
					color: #ffffff;
					line-height: 46px;
					font-weight: bold;
				}
			}
		}
		.card-con {
			position: relative;
			box-sizing: border-box;
			padding: 49px 0 37px;
			.card-list {
				width: 100%;
				display: flex;
				justify-content: center;
				.card-item {
					position: relative;
					width: 264px;
					height: 362px;
					&:not(.used-section-card) {
						.hand {
							position: absolute;
							bottom: 0;
							right: 31px;
							width: 55px;
							height: 55px;
							background: url('@{BASE_IMG_URL}/hand.png') no-repeat center / 100%;
							animation: handAnimate 1s infinite;
							@keyframes handAnimate {
								0%{
									transform: translate(.1rem, .1rem);
								}
								50%{
									transform: translate(0, 0);
								}
								100%{
									transform: translate(.1rem, .1rem);
								}
							}
						}
					}
					&.one-section-card {
						background: url('@{BASE_IMG_URL}/one_card.png') no-repeat center / 100%;
						.card-name .text {
							color: #ff5e19;
						}
					}
					&.full-section-card {
						background: url('@{BASE_IMG_URL}/full_card.png') no-repeat center / 100%;
						.card-name .text {
							color: #ffffff;
						}
					}
					&.used-section-card {
						width: 230px;
						height: 367px;
						background: url('@{BASE_IMG_URL}/used_card.png') no-repeat center / 100%;
						.card-name .text {
							color: #9c9c9c;
						}
					}
					.card-name {
						margin-top: 168px;
						text-align: center;
						.text {
							font-size: 36px;
							line-height: 44px;
						}
					}
					.use-btn {
						margin: 12px auto 0;
						width: 132px;
						height: 40px;
						background-color: #ff5e19;
						border-radius: 20px;
						font-size: 22px;
						color: #ffffff;
						text-align: center;
						line-height: 40px;
					}
					.num {
						position: absolute;
						bottom: 31px;
						right: 0;
						width: 60px;
						height: 60px;
						background-color: #ffb619;
						border-radius: 50%;
						font-size: 32px;
						color: #ffffff;
						text-align: center;
						line-height: 60px;
					}
				}
				&.no-used-list {
					.card-name {
						margin-top: 153px;
					}
				}
			}
			.btns {
				display: flex;
				justify-content: center;
				.btn {
					width: 234px;
					height: 80px;
					border-radius: 40px;
					text-align: center;
					line-height: 80px;
					&.cancle {
						background-color: #f5f5f5;
						color: #9c9c9c;
					}
					&.use, &.see-course {
						background-color: #ffb619;
						color: #ffffff;
					}
					&:nth-child(2) {
						margin-left: 32px;
					}
				}
			}
		}
		.close {
			.close();
		}
	}
	.tip-alert {
		position: relative;
		width: 629px;
		height: 249px;
		background: url('@{BASE_IMG_URL}/tip_alert.png') no-repeat center / 100%;
		.unlock-text {
			position: absolute;
			top: 101px;
			left: 175px;
			width: 460px;
			text-align: center;
			.text {
				font-size: 28px;
				line-height: 44px;
				color: #404040;
			}
		}
	}
	.recommend-alert {
		position: relative;
		width: 620px;
		background-color: #ffffff;
		border-radius: 48px;
		transform: scale(.8);
		.alert-top-text {
			position: relative;
			height: 137px;
			.top-img {
				position: absolute;
				top: -36px;
				left: 50%;
				transform: translateX(-50%);
				width: 640px;
				height: 174px;
			}
			.top-text {
				position: relative;
				z-index: 1;
				height: 100%;
				display: flex;
				justify-content: center;
				align-items: center;
				flex-direction: column;
				.text {
					font-size: 38px;
					color: #ffffff;
					line-height: 46px;
				}
			}
		}
		.recommend-con {
			box-sizing: border-box;
			padding: 23px 0 40px;
			display: flex;
			align-items: center;
			flex-direction: column;
			.desc {
				margin-bottom: 32px;
				.text {
					font-size: 28px;
					line-height: 40px;
					color: #404040;
					text-align: center;
				}
			}
			.course-list {
				width: 520px;
				display: flex;
				justify-content: space-between;
				flex-wrap: wrap;
				.course-item {
					position: relative;
					width: 250px;
					height: 250px;
					border-radius: 24px;
					margin-bottom: 24px;
					overflow: hidden;
					.subscript {
						position: absolute;
						top: 0;
						left: 0;
						transform: scale(.5);
						transform-origin: left top;
						width: 200px;
						height: 68px;
						background-image: linear-gradient(90deg, #ff7559 0%, #ff3021 100%);
						border-radius: 24px 0px 16px 0px;
						font-size: 40px;
						color: #ffffff;
						display: flex;
						justify-content: center;
						align-items: center;
					}
				}
			}
			.see-more {
				width: 280px;
				height: 88px;
				background-color: #ffb619;
				border-radius: 44px;
				font-size: 32px;
				color: #ffffff;
				line-height: 88px;
				text-align: center;
			}
		}
		.close {
			.close();
		}
	}


	.flex-row {
		display: -moz-box;
		/* 老版本语法: Firefox (buggy) */
		display: -ms-flexbox;
		/* 混合版本语法: IE 10 */
		display: -webkit-flex;
		/* 新版本语法: Chrome 21+ */
		display: flex;
	}

	@cl-mask: rgba(0, 0, 0, 0.85);
	/**弹窗**/
	.yidialog-con {
		position: fixed;
		width: 100%;
		height: 100%;
		top: 0px;
		left: 0px;
		display: flex;
		align-items: center;
		justify-content: center;
		z-index: 1000;
		background: @cl-mask;

		.yid-back {
			position: absolute;
			left: 0px;
			top: 0px;
			width: 100%;
			height: 100%;
			text-align: center;
			background: @cl-mask;
		}

		.yid-con {
			position: relative;
			display: flex;
			justify-content: center;
			align-content: center;
			color: #ffffff;
			flex-wrap: wrap;

			.yid-cls {
				position: relative;
				z-index: 9999;
				width: 0.51rem;
				height: 0.51rem;
				flex-shrink: 0;
			}

			.yid-hand {
				position: absolute;
				width: 1rem;
				top: 3.1rem;
				right: 0.1rem;
				animation: handClick 1s infinite;
			}
		}

		.yid-con-col {
			flex-direction: column;
		}
	}

	/**toast**/
	.yid-toast-con {
		display: none;

		.yid-back {
			opacity: 0;
		}

		.yid-con {
			.yid-con-body {
				justify-content: center;
				align-items: center;

				.msg {
					padding: 20px;
					background-color: #333333;
					color: #ffffff;
					font-size: 28px;
					border-radius: 10px;
				}
			}
		}
	}

	.my-hand-ani {
		animation: myHandAni 1s infinite;
	}

	@keyframes myHandAni {
		50% {
			left: 80px;
		}
		0%, 100% {
			left: 50px;
		}
	}

	@keyframes iconClick {
		0%, 100% {
			margin-bottotm: 0;
		}
		50% {
			margin-bottom: -35px;
			transform: scale(1.1);
		}
	}

	@keyframes handClick {
		from {
			margin-top: 0rem;
			margin-right: 0rem;
		}
		50% {
			margin-top: -0.1rem;
			margin-right: 0.1rem;
			transform: scale(0.9);
		}
		to {
			margin-top: -0rem;
			margin-right: 0rem;
		}
	}

	.scale-size {
		animation: scaleSize 2s infinite;
	}

	@keyframes scaleSize {
		from {
			transform: scale(0.9);
			opacity: 0.9;
		}
		50% {
			transform: scale(1.2);
			opacity: 1;
		}
		to {
			transform: scale(0.9);
			opacity: 0.9;
		}
	}

	.heart-beat {
		animation: heartBeat 1s infinite;
	}

	@keyframes heartBeat {
		0% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		14% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		28% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		42% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		70% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}
	}

	/**淡入*/
	.fade-in {
		animation: fadeIn 1s;
	}

	@keyframes fadeIn {
		from {
			opacity: 0;
		}
		to {
			opacity: 1;
		}
	}
</style>
